Bug 193597 - vt(4): LOR when loading i915kms
Summary: vt(4): LOR when loading i915kms
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-bugs mailing list
URL:
Keywords:
: 193634 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-09-13 08:22 UTC by Jean-Sébastien Pédron
Modified: 2014-09-17 08:56 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Sébastien Pédron freebsd_committer 2014-09-13 08:22:14 UTC
fbd0 on drmn0
VT: Replacing driver "vga" with new "fb".
lock order reversal:
 1st 0xffffffff8084bab8 vtdev (vtdev) @ /usr/home/kostik/work/build/bsd/DEV/src/sys/dev/vt/vt_core.c:2322
 2nd 0xfffff8000d69ac08 ttymtx (ttymtx) @ /usr/home/kostik/work/build/bsd/DEV/src/sys/kern/subr_terminal.c:236
KDB: stack backtrace:
db_trace_self_wrapper() at 0xffffffff80288ffb = db_trace_self_wrapper+0x2b/frame 0xfffffe081e6220c0
witness_checkorder() at 0xffffffff803a2ad2 = witness_checkorder+0xdc2/frame 0xfffffe081e622150
__mtx_lock_flags() at 0xffffffff80334f46 = __mtx_lock_flags+0xa6/frame 0xfffffe081e6221c0
terminal_mute() at 0xffffffff80397f42 = terminal_mute+0x52/frame 0xfffffe081e6221e0
vt_allocate() at 0xffffffff802c9bc3 = vt_allocate+0xe3/frame 0xfffffe081e622220
vt_fb_attach() at 0xffffffff802c37d6 = vt_fb_attach+0x16/frame 0xfffffe081e622230
fbd_register() at 0xffffffff802a7531 = fbd_register+0x101/frame 0xfffffe081e622270
device_attach() at 0xffffffff8037be7f = device_attach+0x38f/frame 0xfffffe081e6222d0
drm_fb_helper_single_fb_probe() at 0xffffffff813096a6 = drm_fb_helper_single_fb_probe+0x2a6/frame 0xfffffe081e622320
drm_fb_helper_initial_config() at 0xffffffff813098b4 = drm_fb_helper_initial_config+0xc4/frame 0xfffffe081e622360
intel_fbdev_init() at 0xffffffff812c3161 = intel_fbdev_init+0x81/frame 0xfffffe081e622390
i915_driver_load() at 0xffffffff812970a0 = i915_driver_load+0x9f0/frame 0xfffffe081e622420
drm_attach() at 0xffffffff81304ce5 = drm_attach+0x935/frame 0xfffffe081e6224b0
device_attach() at 0xffffffff8037be7f = device_attach+0x38f/frame 0xfffffe081e622510
bus_generic_driver_added() at 0xffffffff8037d2c6 = bus_generic_driver_added+0x96/frame 0xfffffe081e622530
devclass_driver_added() at 0xffffffff80379a3a = devclass_driver_added+0x7a/frame 0xfffffe081e622570
devclass_add_driver() at 0xffffffff80379967 = devclass_add_driver+0x187/frame 0xfffffe081e6225b0
module_register_init() at 0xffffffff80333b40 = module_register_init+0xb0/frame 0xfffffe081e6225e0
linker_load_module() at 0xffffffff80327395 = linker_load_module+0xca5/frame 0xfffffe081e622910
kern_kldload() at 0xffffffff80328a97 = kern_kldload+0xa7/frame 0xfffffe081e622950
sys_kldload() at 0xffffffff80328b5b = sys_kldload+0x5b/frame 0xfffffe081e622980
amd64_syscall() at 0xffffffff80560fd9 = amd64_syscall+0x289/frame 0xfffffe081e622ab0
Xfast_syscall() at 0xffffffff8054407b = Xfast_syscall+0xfb/frame 0xfffffe081e622ab0
--- syscall (304, FreeBSD ELF64, sys_kldload), rip = 0x8023ee6ba, rsp = 0x7fffffffe288, rbp = 0x7fffffffe290 ---

(first reported by Konstantin Belousov)
Comment 1 Ed Maste freebsd_committer 2014-09-14 12:19:28 UTC
*** Bug 193634 has been marked as a duplicate of this bug. ***
Comment 2 Jean-Sébastien Pédron freebsd_committer 2014-09-15 09:40:04 UTC
I posted a patch to Phabricator:
https://reviews.freebsd.org/D785
Comment 3 Jean-Sébastien Pédron freebsd_committer 2014-09-17 08:56:09 UTC
Committed in r271682.